Wordpress Themes - WP Forum at BFA

Wordpress Themes - WP Forum at BFA (http://forum.bytesforall.com/index.php)
-   New Versions, & Updating (http://forum.bytesforall.com/forumdisplay.php?f=12)
-   -   Getting these errors when previewing 3.6.4 (http://forum.bytesforall.com/showthread.php?t=12774)

NFLfbJunkie Feb 13, 2011 02:48 PM

Getting these errors when previewing 3.6.4
 
1 Attachment(s)
Is what I'm getting related to the blank page problems others have been getting, or is this a different, and hopefully fixable, problem?

juggledad Feb 13, 2011 02:51 PM

search for 'suhosin'

NFLfbJunkie Feb 13, 2011 02:53 PM

Quote:

Originally Posted by juggledad (Post 57805)
search for 'suhosin'

On this site or on the web? I have tried all of the proposed fixes but none of them work.

juggledad Feb 13, 2011 02:57 PM

You have talked with your host's support about it?

NFLfbJunkie Feb 13, 2011 02:58 PM

Quote:

Originally Posted by juggledad (Post 57807)
You have talked with your host's support about it?

I have not but I will.

juggledad Feb 13, 2011 06:00 PM

Ask them how you add a whitelist item to suhosin

bhess Feb 16, 2011 09:07 PM

Can't find a topic related to the issue I am having after upgrading to version 3.6.4

Was running version 3.6.1 and when i run Threat Scan Plugin it shows that eval function is present in a few areas of the theme so I decided to upgrade to 3.6.4 and Threat Scan still showing eval present for JSON.php page. I can use the editor and locate the error message in the JSON.php code and remove it, but will that leave the theme non-functional?

Could you check and see if this page was fixed like the others?

One other issue that is really bugging me and I have looked through a lot of the code and can't find a solution. I am running the Mingle Plugin with my site and before upgrade when I clicked the Friend Requests tab it displayed a message that said: You don't currently have any friend requests accross the page which is correct. Since I upgraded the error message displays vertically all the way down the page as if there is a carriage return being added after each letter hence one letter on each line.

If I switch back to 3.6.1 it displays properly again but all the eval errors return.

Could you shed any light on this problem? Perhaps point me in the right direction of what page may be causing the error?

Thanks.

BTW my blog is at http://blog.skanhost.com/wordpress in case you want to see what I mean.

juggledad Feb 17, 2011 04:01 AM

The only reference to 'eval()' in 3.6.4 is a comment line in json.php - it seems that the threat tool you are using does not ignore comment statements.

The site looks fine to me (safari on a mac)

bhess Feb 17, 2011 10:32 AM

OK.. so if I was to remove the comment from the JSON.php file that wouldn't stop the theme from functioning would it?

As for the display issue I mentioned on the Friends Request page it appears fine to me too when I access it with my Firefox Browser just not with Internet Explorer.. I can live with that.

Thanks for your help, I really appreciate you taking the time to check it out.

juggledad Feb 17, 2011 01:11 PM

Quote:

OK.. so if I was to remove the comment from the JSON.php file that wouldn't stop the theme from functioning would it?
If it does, I'm going into another line of work

bhess Feb 18, 2011 07:50 PM

Removed the comment and that took care of the problem. Thanks.

Still can't firgure out why the Friend Requests page is displaying the message vertically down the whole page like it is.. Version 3.6.1 showed it correctly. Is there a page template that could be causing it and would it be possible to use one php page from that version with the 3.6.4 version if I knew which page caused it? Any ideas would be greatly appreciated. Thanks again for all the help.

juggledad Feb 19, 2011 03:30 AM

sence you need to login to see that page, if you send me an id/pw I'll take a look


All times are GMT -6. The time now is 11:50 PM.

Powered by vBulletin® Copyright ©2000 - 2022, Jelsoft Enterprises Ltd.